Post Instruction Suggestions Id Notes
Adds a note, authored by the caller, to an instruction suggestion the caller can see, and subscribes the caller to the suggestion.
Authentication
AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token:
-
Request API credentials from HINDSITE support to receive your
client_idandclient_secret -
Make a POST request to obtain an access token:
POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
- The response will contain your access token:
{
"access_token": "your_access_token_here",
"token_type": "Bearer",
"expires_in": 7200,
"created_at": 1234567890
}
- Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here
Path parameters
id
Request
This endpoint expects an object.
content
The note body as rich-text HTML. Mention a user by embedding <action-text-attachment sgid="..."></action-text-attachment> with an sgid from GET /api/v2/instruction_suggestions/{id}/mentionable_users; mentioned users are notified and subscribed to the suggestion.
Response
created Note
id
ULID
content
Sanitized HTML content
plain_text_content
user
noteable_type
noteable_id
ULID
attachments
created_at
Unix timestamp (seconds since epoch) when the record was created
updated_at
Unix timestamp (seconds since epoch) when the record was last updated
Errors
404
Not Found Error
